#ifndef CPUCORRELATION_H_
#define CPUCORRELATION_H_

#include <cufft.h>
#include <fftw3.h>

void correlate(	cufftComplex **elementMatrix, 
				cufftComplex ***correlationMatrix, 
				cufftComplex ***weightMatrix, 
				int xsize, 
				int ysize, 
				int paddedxsize, 
				int paddedysize);

void correlateReduce(	fftwf_complex ***fftM, 
						cufftComplex **sM, 
						cufftComplex **corrM, 
						int xsize, 
						int ysize, 
						int kernel_radius, 
						int kernel_wf, 
						float mu, 
						int bandwidth, 
						int fc);

#endif /*CPUCORRELATION_H_*/
