#include "cpuFFT.h"

fftwf_plan p;

void setupFFT(const int N, int xsize, int ysize, int zsize, fftwf_complex *matrix, fftwf_complex *result){
	p = fftwf_plan_dft_1d(N, matrix, result, FFTW_FORWARD, FFTW_ESTIMATE);
}

void doFFT(fftwf_complex *matrix, fftwf_complex *result) {
	fftwf_execute_dft(p,matrix,result);
}

void cleanupFFT() {
	fftwf_destroy_plan(p);
}






/*p = fftwf_plan_many_dft(1, cpuin[0], xsize*ysize, 
						cpuin, NULL, 
						1, zsize, 
						cpuout, NULL, 
						1, zsize,
						FFTW_FORWARD, FFTW_ESTIMATE);*/

//rank = 1
//howmany = 32
//n[0] = 2048
//inembed = outembed = NULL
//idist = odist = 2048
//istride = ostride = 1

//fftwf_complex *cpuin, *cpuout;

	//cpuin = (fftwf_complex*) fftw_malloc(sizeof(fftwf_complex) * N);
	//cpuout = (fftwf_complex*) fftw_malloc(sizeof(fftwf_complex) * N);
	//fillRandom(cpuin, N);
	
//	fftwf_free(cpuin); 
//	fftwf_free(cpuout);

/*
void updateMatrices(fftwf_complex *matrix, fftwf_complex *result) {
	//cpuin = matrix;
	//cpuout = result;
}*/



