/*
 * Copyright (C) 2004, 2008 The Abersim group
 * Copyright (C) 2004, 2008 Department of Circulation and Medical Imaging
 * Copyright (C) 2004, 2008 Norwegian University of Science and Technology
 *
 * This file is a part of the Abersim computer package
 *
 * This Abersim computer package is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version. 
 *
 * This Abersim computer package is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, please download it from
 * <http://www.gnu.org/licenses>
 */

#ifndef _ABERSIM2_H
#define _ABERSIM2_H

#include <stdio.h>
#include <stdlib.h>

#include "./general/abersim_general.h"
#include "./io/abersim_io.h"
#include "./math/abersim_math.h"
#include "./material/abersim_material.h"
#include "./propagation/abersim_propagation.h"
#include "./simscripts/abersim_simscripts.h"
#include "./aberration/abersim_aberration.h"
#include "./general/propcontrol.h"
#include "./material/material.h"
#include "./aberration/phantom.h"
#include "./debug/debug.h"
#include "./correction/abersim_correction.h"

#endif
