#include "gpuCast.h"

extern __shared__ float sharedCast[];
/*
 * Casts from double to float on the CUDA device (correct result not tested).
 */
__global__ void cuda_castFromDouble(double* src, float* eM, int size) {
	/*int x = threadIdx.x;
	int y = blockIdx.x;
	int z = blockIdx.y;
	
	int xc = blockDim.x;
	int yc = gridDim.x;
	int zc = gridDim.y;
	
	int idx = threadIdx.x + y*xc + z*xc*yc;
	*/
	int idx = threadIdx.x + blockIdx.x*blockDim.x + blockIdx.y*blockDim.x*gridDim.x;
	for (int i = idx; i < size; i+=blockDim.x*gridDim.x*gridDim.y) {
		eM[i] = (float) src[i];
	}





//	int idx = blockIdx.x * blockDim.x*4 + blockIdx.y * gridDim.y * blockDim.x*4 + threadIdx.x;
	/*int tid = threadIdx.x;
	sharedCast[tid] = (float) src[idx];
	sharedCast[tid+blockDim.x] = (float) src[idx+blockDim.x];
	sharedCast[tid+blockDim.x*2] = (float) src[idx+blockDim.x*2];
	sharedCast[tid+blockDim.x*3] = (float) src[idx+blockDim.x*3];
	eM[idx] = sharedCast[idx];
	eM[idx+blockDim.x] = sharedCast[tid+blockDim.x];
	eM[idx+blockDim.x*2] = sharedCast[tid+blockDim.x*2];
	eM[idx+blockDim.x*3] = sharedCast[tid+blockDim.x*3];
	*/
	/*eM[idx] = (float) src[idx];
	eM[idx+blockDim.x] = (float) src[idx+blockDim.x];
	eM[idx+blockDim.x*2] = (float) src[idx+blockDim.x*2];
	eM[idx+blockDim.x*3] = (float) src[idx+blockDim.x*3];*/
/*	
	eM[idx] = (float) src[idx]; //first quarter
	eM[idx+blockDim.x] = (float) src[idx+blockDim.x]; //second quarter
	eM[idx+blockDim.x*2] = (float) src[idx+blockDim.x*2]; //third quarter
	eM[idx+blockDim.x*3] = (float) src[idx+blockDim.x*3]; //fourth quarter
	*/
	/*eM[idx+zsize*4] = (float) src[idx+zsize*4];
	eM[idx+zsize*5] = (float) src[idx+zsize*5];
	eM[idx+zsize*6] = (float) src[idx+zsize*6];
	eM[idx+zsize*7] = (float) src[idx+zsize*7];*/
	/*int i;
	for (i = 0; i < 250; i++) {
		eM[i]= (float)src[i];
	}*/
}
