#ifndef GPUFFT_H_
#define GPUFFT_H_

#include <cufft.h>

// Computing FFT of 4096 (64x64) complex (cufftComplex) parallel streams of length 1500.

void cuda_setupFFT(const int N, const int BATCH);
cufftResult cuda_doFFT(cufftComplex *eM, cufftComplex *rM);
void cuda_cleanupFFT();

#endif /*GPUFFT_H_*/
